org.apache.avro.io

## Class FastReaderBuilder.RecordReader

- java.lang.Object
- - org.apache.avro.io.FastReaderBuilder.RecordReader

All Implemented Interfaces:
  DatumReader<Object>, FastReaderBuilder.FieldReader

Enclosing class:
  FastReaderBuilder

    public static class FastReaderBuilder.RecordReader
    extends Object
    implements FastReaderBuilder.FieldReader

### Nested Class Summary

Nested Classes
`static class` `FastReaderBuilder.RecordReader.Stage`

### Constructor Summary

Constructors
Constructor and Description
`RecordReader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canReuse()`
`void` `finishInitialization(FastReaderBuilder.ExecutionStep[] readSteps, Schema schema, GenericData.InstanceSupplier supp)`
`FastReaderBuilder.RecordReader.Stage` `getInitializationStage()`
`Object` `read(Object reuse, Decoder decoder)` Read a datum.
`void` `reset()`
`void` `startInitialization()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.avro.io.FastReaderBuilder.FieldReader

`setSchema`

### Constructor Detail

#### RecordReader

    public RecordReader()

### Method Detail

#### getInitializationStage

    public FastReaderBuilder.RecordReader.Stage getInitializationStage()

#### reset

    public void reset()

#### startInitialization

    public void startInitialization()

#### finishInitialization

    public void finishInitialization(FastReaderBuilder.ExecutionStep[] readSteps,
                                     Schema schema,
                                     GenericData.InstanceSupplier supp)

#### canReuse

    public boolean canReuse()

Specified by:
  `canReuse` in interface `FastReaderBuilder.FieldReader`

#### read

    public Object read(Object reuse,
                       Decoder decoder)
                throws IOException

Description copied from interface: `DatumReader`
Read a datum. Traverse the schema, depth-first, reading all leaf values in the schema into a datum that is returned. If the provided datum is non-null it may be reused and returned.

Specified by:
  `read` in interface `DatumReader<Object>`
Specified by:
  `read` in interface `FastReaderBuilder.FieldReader`
Throws:
  `IOException`